/* primax_scan -- linux driver for Primax scanners

   $Id: LM9811.h,v 1.2 2002/02/17 23:49:26 chrordig Exp $

   Authors:
   Marco Foglia <Marco.Foglia@switzerland.org>
   Thomas Schano <schano@t-online.de>
   Christian Ordig <chr.ordig@gmx.net>

   Copyright (C) 1999 Marco Foglia, Thomas Schano, Christian Ordig

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  
*/


/* Registers of the LM9811 */
#define LM9811_PGA                0x05
#define LM9811_VGA                0x06
#define LM9811_DAC                0x07

void calibrate_LM9811(scan_image *image);
int write_LM9811(unsigned char value, int register_nr);


void printdata(char *data, int height, int width);

